-- These are the video entry points for Enterbet

on SetTVSize (theSize)
  -- Ignore this while being initialized
  if (QI(#init).IsInitialized() and QI(#init).IsLoaded()) then
    if (QI(#status).GetStatus().area = "wagering") then
      QI(#wintv).EnterbetSetTVSize(theSize)
    end if
  end if
end

on SetTVVisible (theState)
  if (QI(#init).IsInitialized() and QI(#init).IsLoaded()) then
    if (QI(#status).GetStatus().area = "wagering") then
      QI(#wintv).EnterbetSetTVVisible(theState)
    end if
  end if
end

on SetTVChannel (theChannel)
  if (QI(#init).IsInitialized() and QI(#init).IsLoaded()) then
    if (QI(#status).GetStatus().area = "wagering") then
      QI(#wintv).EnterbetSetTVChannel(theChannel)
    end if
  end if
end

on SetTVVolume (theVolume)
  if (QI(#init).IsInitialized() and QI(#init).IsLoaded()) then
    if (QI(#status).GetStatus().area = "wagering") then
      QI(#winTV).SetVolume(integer(theVolume))
    end if
  end if
end

on SetTVMute (theState)
  if (QI(#init).IsInitialized() and QI(#init).IsLoaded()) then
    if (QI(#status).GetStatus().area = "wagering") then
      QI(#winTV).SetMute(theState)
    end if
  end if
end

on CaptureImage (theIndex)
  if (QI(#init).IsInitialized() and QI(#init).IsLoaded()) then
    if (QI(#status).GetStatus().area = "wagering") then
      QI(#winTV).EnterbetCaptureImage(theIndex)
    end if
  end if
end

on SetFullScreen (theState)
  if (QI(#init).IsInitialized() and QI(#init).IsLoaded()) then
    if (QI(#status).GetStatus().area = "wagering") then
      QI(#wintv).EnterbetSetFullScreen(theState)
    end if
  end if
end

on ToggleFullScreen ()
  if (QI(#init).IsInitialized() and QI(#init).IsLoaded()) then
    if (QI(#status).GetStatus().area = "wagering") then
      QI(#wintv).EnterbetToggleFullScreen()
    end if
  end if
end

on Test ()
  ShowMessage("Test: Not implemented")
  -- Stub to prevent script error and allow compatibility with standalone player
end

on AllowScale ()
  ShowMessage("AllowScale: Not implemented")
  -- Stub to prevent script error and allow compatibility with standalone player
end

on FullScreen ()
  ShowMessage("FullScreen: Not implemented")
  -- Stub to prevent script error and allow compatibility with standalone player
end

on LoadWinTVControl ()
  ShowMessage("LoadWinTVControl: Not implemented")
  -- Stub to prevent script error and allow compatibility with standalone player
end

on UnloadWinTVControl ()
  ShowMessage("UnloadWinTVControl: Not implemented")
  -- Stub to prevent script error and allow compatibility with standalone player
end

on SetTV (theTV)
  ShowMessage("SetTV: Not implemented")
  -- Stub to prevent script error and allow compatibility with standalone player
end